Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Class QDocumentType

    java.lang.Object
      |
      +--com.caucho.xml.QAbstractNode
            |
            +--com.caucho.xml.QNode
                  |
                  +--com.caucho.xml.QDocumentType

public class QDocumentType
extends com.caucho.xml.QNode
implements DocumentType

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`Node` | `cloneNode(boolean deep)` Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes.
`com.caucho.xml.QElementDef` | `getElement(java.lang.String name)`
`java.lang.String` | `getElementId(java.lang.String element)`
`java.util.Iterator` | `getElementIdNames()`
`NamedNodeMap` | `getEntities()` A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD.
`java.lang.String` | `getName()` The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
`java.lang.String` | `getNodeName()` The name of this node, depending on its type; see the table above.
`short` | `getNodeType()` A code representing the type of the underlying object, as defined above.
`NamedNodeMap` | `getNotations()` A `NamedNodeMap` containing the notations declared in the DTD.
`java.lang.String` | `getTagName()`
`void` | `setName(java.lang.String name)`

Methods inherited from class com.caucho.xml.QNode
`appendChild, checkValid, equals, equals, getAttributes, getChildNodes, getFirstChild, getLastChild, getNextPreorder, getNextSibling, getNodeValue, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from class com.caucho.xml.QAbstractNode
`getCanonicalName, getColumn, getFilename, getLine, getLocalName, getNamespace, getNextContent, getOwnerDocument, getPrefixName, getPreviousContent, getTextValue, hasContent, print, printHtml, printPretty, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNodeName

    public java.lang.String getNodeName()

  Description copied from interface: Node
  The name of this node, depending on its type; see the table above.

### getTagName

    public java.lang.String getTagName()

### getNodeType

    public short getNodeType()

  Description copied from interface: Node
  A code representing the type of the underlying object, as defined above.

### getName

    public java.lang.String getName()

  Description copied from interface: DocumentType
  The name of DTD; i.e., the name immediately following the `DOCTYPE` keyword.
  Specified by:
    getName in interface DocumentType

### setName

    public void setName(java.lang.String name)

### getEntities

    public NamedNodeMap getEntities()

  Description copied from interface: DocumentType
  A `NamedNodeMap` containing the general entities, both external and internal, declared in the DTD. Duplicates are discarded. For example in:<!DOCTYPE ex SYSTEM "ex.dtd" [ <!ENTITY foo "foo"> <!ENTITY bar "bar"> <!ENTITY % baz "baz">]> <ex/> the interface provides access to `foo` and `bar` but not `baz`. Every node in this map also implements the `Entity` interface.
  The DOM Level 1 does not support editing entities, therefore `entities` cannot be altered in any way.
  Specified by:
    getEntities in interface DocumentType

### getNotations

    public NamedNodeMap getNotations()

  Description copied from interface: DocumentType
  A `NamedNodeMap` containing the notations declared in the DTD. Duplicates are discarded. Every node in this map also implements the `Notation` interface.
  The DOM Level 1 does not support editing notations, therefore `notations` cannot be altered in any way.
  Specified by:
    getNotations in interface DocumentType

### cloneNode

    public Node cloneNode(boolean deep)

  Description copied from interface: Node
  Returns a duplicate of this node, i.e., serves as a generic copy constructor for nodes. The duplicate node has no parent ( `parentNode` returns `null`.).
  Cloning an `Element` copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child `Text` node. Cloning any other type of node simply returns a copy of this node.
  Tags copied from interface: Node
  Parameters:
    `deep` - If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).
  Returns:
    The duplicate node.

### getElementId

    public java.lang.String getElementId(java.lang.String element)

### getElementIdNames

    public java.util.Iterator getElementIdNames()

### getElement

    public com.caucho.xml.QElementDef getElement(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD